Bug 243946 - evince package scripts unhappy in updates
Summary: evince package scripts unhappy in updates
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks: 245029
TreeView+ depends on / blocked
 
Reported: 2007-06-12 21:44 UTC by Michal Jaegermann
Modified: 2009-07-14 15:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:55:04 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2007-06-12 21:44:25 UTC
Description of problem:

The current rawhide update produces the following while dealing
with evince:

I/O warning : failed to load external entity
"/etc/gconf/schemas/evince-thumbnailer-comics.schemas"
Failed to open `/etc/gconf/schemas/evince-thumbnailer-comics.schemas': No such
file or directory

A quick check shows that preinstall scriptlet, and all other similar,
does that:

        gconftool-2 --makefile-uninstall-rule \
                /etc/gconf/schemas/evince.schemas \
                /etc/gconf/schemas/evince-thumbnailer.schemas \
                /etc/gconf/schemas/evince-thumbnailer-comics.schemas \
                        >/dev/null || :

but evince-0.9.0-1.fc8, which is getting updated, does not provide
/etc/gconf/schemas/evince-thumbnailer-comics.schemas

OTOH /etc/gconf/schemas/evince-thumbnailer-ps.schemas was and is
present and that one is not used by gconftool-2 anywhere. On purpose?

Would not something like that be safer:

    schemas=$( shopt -s nullglob ; echo /etc/gconf/schemas/evince* )
    [ "$schemas" ] && gconftool-2 --makefile-uninstall-rule $schemas

and similar in other package scripts?  Assuming that all evince
schema names start with "evince" that would adjust itself to what
is really present.

Version-Release number of selected component (if applicable):
evince-0.9.0-3.fc8

Comment 1 Bug Zapper 2008-04-04 12:48:47 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Michal Jaegermann 2008-04-04 16:46:07 UTC
There is currently '/etc/gconf/schemas/evince-thumbnailer-comics.schemas'
so evince does not complain.  Is relaying on a presence of specific
files to shut error messages a really good idea?  If errors are truly
"don't care" then maybe instead of  '>/dev/null || :' in package scripts
it should be '>/dev/null 2>&1 || :' instead?

Comment 3 Bug Zapper 2008-05-14 02:59:13 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-06-09 22:39:15 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 15:55:04 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.